# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/3/30
# import datetime
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.download_kuaishou import KuaiShou


def kuaishou_prod_job():
    """
    执行正式环境快手脚本
    """
    while True:
        prod_time = datetime.datetime.now()
        # 当天下载及上传的视频数：150 条
        if prod_time.hour > 22 or prod_time.hour < 8:
            Common.logger().info("已下载视频数：{}".format(len(KuaiShou.download_video_list)))
            time.sleep(60)
            # 删除冗余日志
            Common.del_logs()
            KuaiShou.download_video_list = []
            break
        else:
            # 抓取符合规则的视频，写入 kuaishou_feeds.txt
            KuaiShou.get_feeds()
            # 下载视频，并上传
            KuaiShou.download_publish("prod")
            # 随机睡眠1-3s
            time.sleep(random.randint(1, 3))


def main_prod():
    """
    正式环境主函数
    """
    while True:
        Common.logger().info("开始抓取快手视频")
        time.sleep(1)
        while True:
            main_time = datetime.datetime.now()
            if 8 <= main_time.hour <= 22:
                kuaishou_prod_job()
            else:
                break


if __name__ == "__main__":
    main_prod()
